import { StyleSheet } from 'react-native'
import {
  fontSizes,
  windowHeight,
  windowWidth,
} from '../../../theme/appConstant'
import appColors from '../../../theme/appColors'
import appFonts from '../../../theme/appFonts'

const styles = StyleSheet.create({
  main: {
    flex: 1,
    width: '100%',
  },
  container: {
    paddingHorizontal: windowWidth(4),
    marginTop: windowHeight(1.3),
  },
  listContainer: {
    height: windowHeight(26.5),
    width: '100%',
    marginVertical: windowHeight(1.5),
    borderRadius: windowWidth(5),
    borderWidth: windowWidth(0.45),
  },
  modalAlign: {
    alignItems: 'center',
    marginTop: windowHeight(1.5),
    justifyContent: 'space-between',
    paddingHorizontal: windowHeight(0),
  },
  selection: {
    alignItems: 'center',
    justifyContent: 'center',
    marginHorizontal: windowWidth(4),
  },
  imageCountry: {
    height: windowHeight(5.8),
    width: windowWidth(11.6),
    resizeMode: 'contain',
  },
  name: {
    marginHorizontal: windowWidth(3),
  },
  borderBottom: {
    height: windowHeight(0.6),
    marginVertical: windowHeight(1.3),
    width: '100%',
    top: windowHeight(0.8),
  },
  buttonView: {
    marginVertical: windowHeight(2),
    backgroundColor: appColors.primary,
    height: windowHeight(6),
    paddingHorizontal: windowWidth(4),
    borderRadius: windowHeight(25),
    alignItems: 'center',
    justifyContent: 'center',
    marginBottom: windowHeight(0.9),
  },
  buttonTitle: {
    color: appColors.white,
    fontSize: fontSizes.FONT4HALF,
    fontFamily: appFonts.medium,
  },
  gap: {
    gap: windowHeight(8.5),
  },
})
export default styles
